local 字集库 = require("u8_to_a")
local 历排内联库 = require(字集库.u8_to_a("算机_程语_月_基类_能_传能_历_基类_表_排_内联"))
local 返参库 = require(字集库.u8_to_a("算机_程语_月_基类_能_返参"))
local 基算库 = require(字集库.u8_to_a("算机_程语_月_基类_数_基算"))
local 历排库 = require(字集库.u8_to_a("算机_程语_月_基类_能_传能_历_基类_表_排_取全"))
local 数库 = require(字集库.u8_to_a("算机_程语_月_基类_数"))
local d = {}
--~ 排
function d.总和(o1_0)
  return 历排内联库.历排(o1_0, 基算库.加法, 返参库.一参)
  end
--~ 排
function d.均值(o1_0)
  local k1
  --~ 总和
  k1 = d.总和(o1_0)
  return 基算库.除法(k1, #o1_0)
  end
--~ 排
--~ 标准值
function d.方差(o1_0, o1)
  local k1, k2
  local k1_0
  --~ 标准值
  k1 = o1 or d.均值(o1_0)
  --~ 排，用于算方差
  k1_0 = 历排库.历排(o1_0, 基算库.减法, k1)
  k1_0 = 历排库.历排(k1_0, 数库.指数, 2)
  --~ 方差
  k2 = 基算库.除法(d.总和(k1_0), #k1_0)
  return k2
  end
--~ 排
--~ 标准值
function d.标准差(o1_0, o1)
  local k1
  --~ 方差
  k1 = d.方差(o1_0, o1)
  return 数库.指数(k1, 1, 2)
  end
--~ 排
--~ 标准值
function d.均差(o1_0, o1)
  local k1, k2
  local k1_0
  --~ 标准值
  k1 = o1 or d.均值(o1_0)
  --~ 排，用于算均差
  k1_0 = 历排库.历排(o1_0, 基算库.减法, k1)
  k1_0 = 历排库.历排(k1_0, 数库.绝对值)
  --~ 均差
  k2 = 基算库.除法(d.总和(k1_0), #k1_0)
  return k2
  end
return d
